aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-10-01 18:39:30 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-10-01 18:39:30 +0200
commit3c3ecf7941d6ebf769105adff2cd0c0a4e173863 (patch)
tree84d31d69ed9e2a195301b862e64bf04307773495
parent740eccccc359dd12354f308b3a922ab8cdf7033b (diff)
downloadaports-3c3ecf7941d6ebf769105adff2cd0c0a4e173863.tar.gz
aports-3c3ecf7941d6ebf769105adff2cd0c0a4e173863.tar.bz2
aports-3c3ecf7941d6ebf769105adff2cd0c0a4e173863.tar.xz
main/py-alabaster: new aport
-rw-r--r--main/py-alabaster/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/py-alabaster/APKBUILD b/main/py-alabaster/APKBUILD
new file mode 100644
index 0000000000..87dd3ec813
--- /dev/null
+++ b/main/py-alabaster/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=py-alabaster
+pkgver=0.7.6
+pkgrel=0
+pkgdesc="Modified Kr Sphinx doc theme"
+url="https://github.com/bitprophet/alabaster"
+arch="noarch"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev python-dev"
+install=""
+subpackages=""
+source="alabaster-$pkgver.tar.gz::https://github.com/bitprophet/alabaster/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/alabaster-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="940d47184c4d67d9e1943ba2e5b15a65 alabaster-0.7.6.tar.gz"
+sha256sums="5446f84c69fd327cfe2fa1644b4f6453710e67c6479e79e736f7bedb6e2bcb8e alabaster-0.7.6.tar.gz"
+sha512sums="8b07592930190428430ab6c3a73e6a159ea6b2073d11ffc5d2dd1052a38f06feed680527002785d2f056dd413d71218f1ecd5a6aba4294ce4047193e751af440 alabaster-0.7.6.tar.gz"